# =============================================================================== #
# xxx <>>> ES/PYTHON IMPORTS xxxxxxxxxx #
import es, os
import psyco
psyco.full()
# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #

# xxxxxxxxxx # SAM IMPORTS # xxxxxxxxxx #
func   = es.import_addon('sam/functions')
core   = es.import_addon('sam/core')
admins = es.import_addon('sam/core/admins')
# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #

# x # VARIABLES/DICTIONARIES/LISTS # xx #
nosounds = 'No sounds found in the folders.'
# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #

# =============================================================================== #
# === <<<> LOAD <>>> ============================================================ #
# =============================================================================== #
def load():

	# ADD MAIN PAGE OPTION
	core.addons.append('adminsounds')

# =============================================================================== #
# === <<<> UNLOAD <>>> ========================================================== #
# =============================================================================== #
def unload():

	# REMOVE MAIN PAGE OPTION
	core.addons.remove('adminsounds')

	# POPUPS
	func.popupDelete('ADMINS_SOUNDS')

# =============================================================================== #
# === <<<> MAIN BLOCKS <>>> ===================================================== #
# =============================================================================== #
def page(ID, PAGE=False):
	if admins.can(ID, 'Admin Sounds'):
		sounds = getSounds()
		if len(list(sounds)):
			popup = func.easymenu(('ADMINS_SOUNDS', play),'HOME')
			popup.settitle(func.header('Admin Sounds'))
			for item in sounds: popup.addoption(sounds[item], item)
			if PAGE and PAGE in sounds: popup.sendPage(func.sendPage(ID,sounds.index(PAGE)))
			else: popup.send(ID)
		else:
			func.hudhint(ID,nosounds,'ADMIN SOUNDS')
			func.log(nosounds,'ADMIN SOUNDS')
			core.home(ID)
	else: core.home(ID)

# ------------------------------------------------------------------------------- #
def play(ID, SOUND, POPUP):
	func.play('#human',SOUND)
	page(ID, SOUND)

# =============================================================================== #
# === <<<> FUNCTIONS <>>> ======================================================= #
# =============================================================================== #
def getSounds():
	sounds = {}
	for path, dirs, files in os.walk(func.soundsPath):
		for sound in files:
			if sound.endswith(('.mp3','.wav')): sounds[sound.strip('.mp3').strip('.wav')] = path.replace('cstrike/sound/','')+'/'+sound
	return sounds

# =============================================================================== #